<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.admin.mapper.PjDataMapper">

    <select id="listDayGas" resultType="com.huimv.admin.entity.vo.EnergyAllDataVo">
        SELECT Convert((IFNUll(sum(feed_value),'0')),DECIMAL(10,2)) 'value',create_date 'createDate' FROM `energy_data`
         ${ew.customSqlSegment}
        GROUP BY DATE_FORMAT(create_date,'%Y-%m-%d')
        ORDER BY create_date ASC
    </select>
</mapper>
